Subject: Re: bug#74400: 31.0.50; tramp-loaddefs.elc suddenly owned by root

From: Michael Albinus <[email-masked]>
Date: Sun, 17 Nov 2024 18:47:38 +0100

Michael Heerdegen <[email-masked]> writes:

Hi Michael,

> I didn't find something like "sudo make" in my bash history either, and
> I did not do something like sudo su in the last days.

I tried to reproduce, and I've applied

--8<---------------cut here---------------start------------->8---
# make bootstrap
# sudo make install
# ll lisp/net/*loaddefs*
-rw-rw----+ 1 albinus albinus 110234 Nov 17 17:37 lisp/net/tramp-loaddefs.el
-rw-r--r--+ 1 albinus albinus 122088 Nov 17 17:58 lisp/net/tramp-loaddefs.elc
--8<---------------cut here---------------end--------------->8---

This is inside the git repo. No idea, what happened for you.

You have shown

--8<---------------cut here---------------start------------->8---
|  -rw-rw-r--  1 micha micha 108K Nov 15 17:01 tramp-loaddefs.el
|  -rw-r--r--  1 root  root  120K Nov 15 17:01 tramp-loaddefs.elc
--8<---------------cut here---------------end--------------->8---

Do you know (from bash history or whatever), which command did run at
that time? Perhaps also check bash history of user root?

> Michael.

Best regards, Michael.